UnifiedHighlighter.LimitedStoredFieldVisitor (Lucene 10.5.0 highlighter API)
Description: declaration: package: org.apache.lucene.search.uhighlight, class: UnifiedHighlighter, class: LimitedStoredFieldVisitor

Package org.apache.lucene.search.uhighlight

# Class UnifiedHighlighter.LimitedStoredFieldVisitor

java.lang.Object
org.apache.lucene.index.StoredFieldVisitor
org.apache.lucene.search.uhighlight.UnifiedHighlighter.LimitedStoredFieldVisitor

Enclosing class:
  `UnifiedHighlighter`

protected static class UnifiedHighlighter.LimitedStoredFieldVisitor extends StoredFieldVisitor
Fetches stored fields for highlighting. Uses a multi-val separator char and honors a max length to retrieve.

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.lucene.index.StoredFieldVisitor

  `StoredFieldVisitor.Status`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected int`
  `currentField`
  `protected final String[]`
  `fields`
  `protected final int`
  `maxLength`
  `protected CharSequence[]`
  `values`
  `protected final char`
  `valueSeparator`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LimitedStoredFieldVisitor(String[] fields, char valueSeparator, int maxLength)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `StoredFieldVisitor.Status`
  `needsField(FieldInfo fieldInfo)`
  `void`
  `stringField(FieldInfo fieldInfo, String value)`

  ### Methods inherited from class org.apache.lucene.index.StoredFieldVisitor

  `binaryField, binaryField, doubleField, floatField, intField, longField`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### fields

    protected final String[] fields

  - ### valueSeparator

    protected final char valueSeparator

  - ### maxLength

    protected final int maxLength

  - ### values

    protected CharSequence[] values

  - ### currentField

    protected int currentField

- ## Constructor Details

  - ### LimitedStoredFieldVisitor

    public LimitedStoredFieldVisitor(String[] fields, char valueSeparator, int maxLength)

- ## Method Details

  - ### stringField

    public void stringField(FieldInfo fieldInfo, String value) throws IOException
    Overrides:
      `stringField` in class `StoredFieldVisitor`
    Throws:
      `IOException`

  - ### needsField

    public StoredFieldVisitor.Status needsField(FieldInfo fieldInfo) throws IOException
    Specified by:
      `needsField` in class `StoredFieldVisitor`
    Throws:
      `IOException`